
Redmine - Defect #24348

acts_as_versioned use old style (Rails 2.x) of method call for #all

2016-11-14 14:00 - Roman Shipiev

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 3.2.5   

Resolution: Fixed Affected version:  

Description

/lib/plugins/acts_as_versioned/lib/acts_as_versioned.rb

          # Finds versions of a specific model.  Takes an options hash like <tt>find</tt>

          def find_versions(id, options = {})

            versioned_class.all({

              :conditions => ["#{versioned_foreign_key} = ?", id],

              :order      => 'version' }.merge(options))

          end

Related issues:

Related to Redmine - Defect #19957: acts_as_versioned not compatible with Act... Closed

Associated revisions

Revision 15950 - 2016-11-18 08:19 - Jean-Philippe Lang

acts_as_versioned use old style (Rails 2.x) of method call for #all (#24348).

Revision 16001 - 2016-11-26 10:02 - Jean-Philippe Lang

Merged r15950 (#24348).

Revision 16002 - 2016-11-26 10:02 - Jean-Philippe Lang

Merged r15950 (#24348).

History

#1 - 2016-11-14 14:14 - Roman Shipiev

- File 24348.patch added

#2 - 2016-11-14 16:45 - Toshi MARUYAMA

- Category deleted (Wiki)

- Target version set to 3.2.5

#3 - 2016-11-14 16:45 - Toshi MARUYAMA

- Related to Defect #19957: acts_as_versioned not compatible with ActiveRecord 4.2.1 added

#4 - 2016-11-18 08:20 - Jean-Philippe Lang

- Category set to Code cleanup/refactoring

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch committed, thanks.

#5 - 2016-11-26 10:02 - Jean-Philippe Lang

- Status changed from Resolved to Closed
Files

24348.patch 917 Bytes 2016-11-14 Roman Shipiev
